
- name: Create DO droplets
  hosts: localhost
  connection: local
  gather_facts: no

  vars:
    debug_mode: false

  tasks:
    - name: Register DO ssh key
      register: do_ssh_key
      community.digitalocean.digital_ocean_sshkey_info:
        oauth_token: "{{ do_oauth_token }}"

    - name: Create a new droplets
      community.digitalocean.digital_ocean_droplet:  
        wait: yes
        unique_name: yes
        wait_timeout: 120
        oauth_token: "{{ do_oauth_token }}"
        state: "{{item.state}}"
        name: "{{item.name}}"   
        size: "{{item.size}}"
        region: "{{item.region}}"
        image: "{{item.image}}"
        # Добавляем в дроплет ключи
        ssh_keys:
          - "{{ do_ssh_key.data.0.id }}"
          - "{{ do_ssh_key.data.1.id }}"
      # Если нам нужно нужно создать отдельные дроплеты, то используем цикл
      with_items: "{{ droplets | list }}"
      register: created_droplets

    - name: Debug print droplets
      debug:
        var: "{{ created_droplets }}"
      when: debug_mode

    - name: Create inventory file
      template:
        src: example.j2
        dest: inventory.ini